ApiAuthRoleRef (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiAuthRoleRef

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAuthRoleRef

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiAuthRoleRef
      extends Object

  An authRoleRef to operate on ApiAuthRole object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAuthRoleRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAuthRoleRef` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDisplayName()` The display name of the authRole.
    `String` | `getName()` The name of the authRole.
    `String` | `getUuid()` The uuid of the authRole, which uniquely identifies it in a CM installation.
    `int` | `hashCode()`
    `ApiAuthRoleRef` | `name(String name)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setUuid(String uuid)`
    `String` | `toString()`
    `ApiAuthRoleRef` | `uuid(String uuid)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAuthRoleRef

          public ApiAuthRoleRef()

  - ### Method Detail

    - #### displayName

          public ApiAuthRoleRef displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The display name of the authRole. displayName is optional. If a changed displayName is passed in, it will be ignored.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### name

          public ApiAuthRoleRef name(String name)

    - #### getName

          public String getName()

      The name of the authRole. name is available from v32. It is optional, and cannot be modified. Name takes precedence over uuid. If name is absent, uuid will be used for look up.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### uuid

          public ApiAuthRoleRef uuid(String uuid)

    - #### getUuid

          public String getUuid()

      The uuid of the authRole, which uniquely identifies it in a CM installation.
      Returns:
        uuid

    - #### setUuid

          public void setUuid(String uuid)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.